# Class CIM_PolicyConditionInPolicyCondition
extends CIM_PolicyConditionStructure

A CompoundPolicyCondition aggregates zero or more instances of the PolicyCondition class, via the PolicyConditionInPolicyCondition association. A CompoundPolicyCondition that aggregates zero Conditions is not valid; it may, however, be in the process of being defined. Note that a CompoundPolicyCondition should have no effect until it is valid.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_PolicyComponent
|
+--CIM_PolicyConditionStructure
|
+--CIM_PolicyConditionInPolicyCondition

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | A CompoundPolicyCondition aggregates zero or more instances of the PolicyCondition class, via the PolicyConditionInPolicyCondition association. A CompoundPolicyCondition that aggregates zero Conditions is not valid; it may, however, be in the process of being defined. Note that a CompoundPolicyCondition should have no effect until it is valid.
UMLPackagePath | string | CIM::Policy
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_PolicyConditionInPolicyCondition | CIM_CompoundPolicyCondition
PartComponent | CIM_PolicyConditionInPolicyCondition | CIM_PolicyCondition

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
ConditionNegated | boolean | CIM_PolicyConditionStructure
GroupNumber | uint16 | CIM_PolicyConditionStructure

## Class Methods